package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ktg.iscs.domain.IsTicketOperLog;

/**
 * 作业操作过程Service接口
 *
 * @author cgj
 * @date 2025-07-14
 */
public interface IIsTicketOperLogService extends IService<IsTicketOperLog> {

    Page<IsTicketOperLog> getIsTicketOperLogPage(Page<IsTicketOperLog> page, IsTicketOperLog isTicketOperLog);

    /**
     * 启动作业
     * @return
     */
    Boolean addLog1(Long jobId, String jobName);

    /**
     * 操作确认
     * @return
     */
    Boolean addLog2(Long jobId, String jobName, String title, Long userId, String userName);

    /**
     * 人员变动
     * type 移除 添加
     * lockType 上锁人 共锁人
     * @return
     */
    Boolean addLog3(Long jobId, String jobName, String type, String lockType, String lockUser);

    /**
     * 启动上锁
     * @return
     */
    Boolean addLog4(Long jobId, String jobName);

    /**
     * 完成上锁
     * @return
     */
    Boolean addLog5(Long jobId, String jobName, String pointNames);

    /**
     * 添加共锁
     * @return
     */
    Boolean addLog6(Long jobId, String jobName, String colockUser);
    /**
     * 解除共锁
     * @return
     */
    Boolean addLog7(Long jobId, String jobName, String colockUser);

    /**
     * 启动解锁
     * @return
     */
    Boolean addLog8(Long jobId, String jobName);

    /**
     * 完成解锁
     * @return
     */
    Boolean addLog9(Long jobId, String jobName, String pointNames);

    /**
     * 取消作业
     * @return
     */
    Boolean addLog10(Long jobId, String jobName);

    /**
     * 结束作业
     * @return
     */
    Boolean addLog11(Long jobId, String jobName);

}
